Package ru.bitel.bgbilling.modules.smarthouse.server.bean.forpost

# Class ForpostAccountDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ForpostAccount>
ru.bitel.bgbilling.modules.smarthouse.server.bean.forpost.ForpostAccountDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class ForpostAccountDao
    extends ru.bitel.common.dao.AbstractDao<ForpostAccount>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ForpostAccountDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteForpostAccount​(int forpostAccountId)` |
  `void` | `doSync​(ForpostAccount[] accounts)` |
  `ForpostAccount` | `getForpostAccount​(int forpostAccountId)` |
  `protected ForpostAccount` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<java.lang.Integer>` | `getIds()` |
  `java.util.List<ForpostAccount>` | `list()` |
  `void` | `searchForpostAccounts​(SearchResult<ForpostAccount> searchResult, int contractId, java.lang.String accountName)` |
  `void` | `unlinkForpostAccount​(int forpostAccountId)` |
  `void` | `updateAccountContract​(int accountId, int contractId)` |
  `protected void` | `updateImpl​(ForpostAccount forpostAccount)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostAccountDao

    public ForpostAccountDao​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### list

    public java.util.List<ForpostAccount> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getIds

    public java.util.List<java.lang.Integer> getIds() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected ForpostAccount getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ForpostAccount>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(ForpostAccount forpostAccount) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ForpostAccount>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAccountContract

    public void updateAccountContract​(int accountId, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchForpostAccounts

    public void searchForpostAccounts​(SearchResult<ForpostAccount> searchResult, int contractId, java.lang.String accountName) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSync

    public void doSync​(ForpostAccount[] accounts) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getForpostAccount

    public ForpostAccount getForpostAccount​(int forpostAccountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteForpostAccount

    public void deleteForpostAccount​(int forpostAccountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### unlinkForpostAccount

    public void unlinkForpostAccount​(int forpostAccountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`